Summary:    Network Caller ID server and clients
Name:       ncid
Version:    0.50
Release:    1
Group:      System Environment/Daemons
License:    GPL
Url:        http://pvrhack.sonnik.com/tivo/jlc/
Source:     %{name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-root
Prereq:     /sbin/chkconfig
Requires:   tcl tk

# Don't build an extra package of debuginfo: we are not going to use it.
%define debug_package %{nil}

%description
NCID is a TCP client/server program for distributing Caller ID
information.  The server, ncidd, listens on a modem line for the
Caller-ID data, formats it, and sends it via a TCP socket to
mutiple clients.  The ncid client, displays the Caller ID data
and the Server Caller-ID log.  It can also output the CID data
to an external program.


%prep
%setup -n %{name}


%build
make prefix=/usr prefix2=


%install
# build directories
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/{etc/{logrotate.d,rc.d/init.d},usr/{bin,sbin}}
mkdir -p ${RPM_BUILD_ROOT}/var/log
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/{man1,man5,man8}

# install the Caller ID daemon and X client
make install prefix=${RPM_BUILD_ROOT}/usr prefix2=${RPM_BUILD_ROOT} \
     prefix3=${RPM_BUILD_ROOT}
rm -f ${RPM_BUILD_ROOT}/var/log/*.log

%clean
rm -rf $RPM_BUILD_ROOT
rm -fr $RPM_BUILD_DIR/%{name}


%files
%defattr(-,root,root)
/usr/bin/ncid
/usr/bin/cidlog
/usr/bin/cidalias
/usr/bin/cidlogupd
/usr/sbin/ncidd
/usr/share/ncid/README
/usr/share/ncid/ncidrotate
%config /usr/share/ncid/ncid-page
%config /usr/share/ncid/ncid-samba
%config /usr/share/ncid/ncid-speak
%config /etc/ncidd.conf
%config /etc/logrotate.d/ncidd
/etc/rc.d/init.d/ncidd
/etc/rc.d/init.d/ncid
%{_mandir}/man1/ncid.1*
%{_mandir}/man1/ncidscripts.1*
%{_mandir}/man1/ncidtools.1*
%{_mandir}/man5/ncidd.conf.5*
%{_mandir}/man8/ncidd.8*
%doc README VERSION
%doc doc scripts/README screenshots test


%post
touch /var/log/cidcall.log
chmod 644 /var/log/cidcall.log
/sbin/chkconfig --add ncidd

%preun
if [ $1 = 0 ] ; then
    /sbin/service ncid stop >/dev/null 2>&1 || true
    /sbin/service ncidd stop >/dev/null 2>&1 || true
    /sbin/chkconfig --del ncid
    /sbin/chkconfig --del ncidd
fi


%postun
if [ "$1" -ge "1" ]; then
    /etc/rc.d/init.d/ncidd condrestart >/dev/null 2>&1 || true
fi
